Get creative references
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": "<string>",
"sourced_materials": [
{
"reference_id": "<string>",
"name": "<string>",
"format": "<string>",
"media_kind": "image",
"reuse_count": 4503599627370495,
"preview_url": "<string>"
}
],
"past_creatives": [
{
"creative_id": "<string>",
"name": "<string>",
"format": "<string>",
"campaign_id": "<string>",
"reuse_count": 4503599627370495,
"preview_url": "<string>",
"campaign_name": "<string>"
}
],
"sourced_materials_total": 4503599627370495,
"past_creatives_total": 4503599627370495,
"preselected": {
"sourced_materials": [
"<string>"
],
"past_creatives": [
"<string>"
]
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Creatives
Get creative references
Get the campaign advertiser’s creative library as generative reference sources: sourced materials (reference-role assets, filterable by media type) and past creatives (filterable by campaign). Gated behind the buyer-generative-creative surface.
GET
/
campaigns
/
{campaignId}
/
creative-references
Get creative references
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": "<string>",
"sourced_materials": [
{
"reference_id": "<string>",
"name": "<string>",
"format": "<string>",
"media_kind": "image",
"reuse_count": 4503599627370495,
"preview_url": "<string>"
}
],
"past_creatives": [
{
"creative_id": "<string>",
"name": "<string>",
"format": "<string>",
"campaign_id": "<string>",
"reuse_count": 4503599627370495,
"preview_url": "<string>",
"campaign_name": "<string>"
}
],
"sourced_materials_total": 4503599627370495,
"past_creatives_total": 4503599627370495,
"preselected": {
"sourced_materials": [
"<string>"
],
"past_creatives": [
"<string>"
]
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Response
Get creative references
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes